%global eclipse_base	%{_libdir}/eclipse
%global	install_loc	%{_datadir}/eclipse/dropins/wtp-jeetools

Name:		eclipse-wtp-jeetools
Version:	3.4.0
Release:	4%{?dist}
Summary:	Frameworks and tools focused on development of J2EE artifacts

Group:		Development/Tools
License:	EPL
URL:		http://www.eclipse.org/webtools/jee/

# Tarball is created using fetch-wtp-jeetools-using-map.sh script
Source0:	%{name}-%{version}.tar.xz
Source1:	http://www.eclipse.org/legal/epl-v10.html

Patch0:		%{name}-fix-javax-wsdl-versions.patch
Patch1:		%{name}-jst.enterprise_core-fix-featurexml.patch
Patch2:		%{name}-fix-jst-enterpriseui-featurexml.patch
Patch3:		%{name}-jem.proxy-fix-getTypeClass-method.patch
Patch4:		%{name}-jst.j2ee.webservice-manifest.patch

# Update name of apache-commons-discovery jar for copying
Patch6:		%{name}-copyaxisjarcommand.patch

BuildArch:	noarch

BuildRequires:	ant >= 0:1.8.3-1
BuildRequires:	axis >= 0:1.4-14
BuildRequires:	eclipse-dtp >= 1.10-0.1
BuildRequires:	eclipse-emf >= 2.8.0-0.7
BuildRequires:	eclipse-emf-core >= 1:2.8.0-0.22
BuildRequires:	eclipse-emf-sdk >= 2.8.0
BuildRequires:	eclipse-gef >= 3.8.0-0.3
BuildRequires:	eclipse-jdt >= 1:4.2.0-0.22
BuildRequires:	eclipse-pde >= 1:4.2.0-0.22
BuildRequires:	eclipse-platform >= 1:4.2.0-0.22
BuildRequires:	eclipse-rcp >= 1:4.2.0-0.22
BuildRequires:	eclipse-swt >= 1:4.2.0-0.22
BuildRequires:	eclipse-wtp-common >= 3.4.0-0.1
BuildRequires:	eclipse-wtp-servertools >= 3.3.1-4
BuildRequires:	eclipse-wtp-sourceediting >= 3.4.0-0.1
BuildRequires:	eclipse-wtp-webservices >= 3.4.0-5
BuildRequires:	icu4j-eclipse >= 1:4.4.2.2-11
BuildRequires:	javamail >= 1.4.3-11
BuildRequires:	java-devel
BuildRequires:	jdom >= 0:1.1.3
BuildRequires:	jpackage-utils
BuildRequires:	wsdl4j >= 0:1.6.2-5

Requires:	ant >= 0:1.8.3-1
Requires:	axis >= 0:1.4-14
Requires:	eclipse-dtp >= 1.10-0.1
Requires:	eclipse-emf >= 2.8.0-0.7
Requires:	eclipse-emf-core >= 1:2.8.0-0.22
Requires:	eclipse-emf-sdk >= 2.8.0
Requires:	eclipse-gef >= 3.8.0-0.3
Requires:	eclipse-jdt >= 1:4.2.0-0.22
Requires:	eclipse-platform >= 1:4.2.0-0.22
Requires:	eclipse-rcp >= 1:4.2.0-0.22
Requires:	eclipse-swt >= 1:4.2.0-0.22
Requires:	eclipse-wtp-common >= 3.4.0-0.1
Requires:	eclipse-wtp-servertools >= 3.3.1-4
Requires:	eclipse-wtp-sourceediting >= 3.4.0-0.1
Requires:	eclipse-wtp-webservices >= 3.4.0-5
Requires:	icu4j-eclipse >= 1:4.4.2.2-11
Requires:	java
Requires:	javamail >= 1.4.3-11
Requires:	jdom >= 0:1.1.3
Requires:	jpackage-utils
Requires:	wsdl4j >= 0:1.6.2-5


%description
The Java EE Tools Project provides frameworks and tools focused on the
development of J2EE artifacts.


%prep
%setup -q
cp %{SOURCE1} .

find . -type f -name *.jar -exec rm -f {} \;
find . -type f -name *.class -exec rm -f {} \;

%patch0
%patch1
%patch2
%patch3
%patch4
%patch6

#Orbit links
# not sure if all of these are needed since they're also in wtp-webservices
rm -rf orbit
mkdir orbit
pushd orbit
%{__ln_s} %{_javadir}/jdom.jar
%{__ln_s} %{_javadir}/javamail/dsn.jar
popd

# Remove problematic org.eclipse.license stuff
find -name feature.xml -type f -exec sed -i -e 's/license-feature="org.eclipse.license"//g' {} \;


%build
%{_bindir}/eclipse-pdebuild -f org.eclipse.jst.enterprise_ui.feature \
	-d "eclipse-wtp-common emf emf-sdk wtp-sourceediting \
	   org.eclipse.jst.server_ui.feature wtp-webservices xsd gef \
	   emf dtp-connectivity dtp-modelbase" \
	-o `pwd`/orbit


%install
install -d -m 755 %{buildroot}%{install_loc}
%{__unzip} -q -d %{buildroot}%{install_loc} \
	build/rpmBuild/org.eclipse.jst.enterprise_ui.feature.zip

# remove duplicate jars provided by other wtp packages
pushd %{buildroot}%{install_loc}/eclipse/plugins
#rm -f org.eclipse.jst.jsp.ui.infopop_*
rm -f org.eclipse.wst.command.env.ui_*
#putting this back in temporarily, as it causes problems when it's removed
#rm -f org.eclipse.wst.web_*
rm -f org.eclipse.wst.web.ui_*
popd


%files
%{install_loc}
%doc epl-v10.html
%doc org.eclipse.jst.jee/about.html

%changelog
* Wed Nov 14 2012 Gerard Ryan <galileo@fedoraproject.org> 3.4.0-4
- Fix copying of axis jars: RHBZ 872806

* Sat Jul 21 2012 Gerard Ryan <galileo@fedoraproject.org> 3.4.0-3
- Comment out org.eclipse.wst.web_* removal, to allow building against this

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jul 13 2012 Gerard Ryan <galileo@fedoraproject.org> 3.4.0-1
- Update to R3.4.0 Juno stable release.
- Remove duplicate jars build by other wtp packages
- Remove extraneous BR/R that were only needed because of wtp-webservices fault

* Fri Jun 22 2012 Gerard Ryan <galileo@fedoraproject.org> 3.4.0-0.2.20120618cvs
- Rename patch files, add versions to BuildRequires/Requires

* Mon Jun 18 2012 Gerard Ryan <galileo@fedoraproject.org> 3.4.0-0.1.20120618cvs
- Initial Fedora package
